unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, AHMTDroppedFiles, ExtCtrls, AHMSystem, AHMTFormHook;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    RadioGroup1: TRadioGroup;
    AHMDroppedFiles1: TAHMDroppedFiles;
    Label1: TLabel;
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure AHMDroppedFiles1StartDrop(Sender: TObject);
    procedure AHMDroppedFiles1EndDrop(Sender: TObject);
    procedure AHMDroppedFiles1Drop(Sender: TObject; DroppedItem: String);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AHMDroppedFiles1StartDrop(Sender: TObject);
begin
  Listbox1.Items.Clear;
end;

procedure TForm1.AHMDroppedFiles1EndDrop(Sender: TObject);
begin
  Listbox1.refresh;
end;

procedure TForm1.AHMDroppedFiles1Drop(Sender: TObject;
  DroppedItem: String);
begin
  ListBox1.Items.add(DroppedItem);
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
 case Radiogroup1.ItemIndex of
   0 : AHMDroppedFiles1.CollectBy:=dFullPath;
   1 : AHMDroppedFiles1.CollectBy:=dFullname;
   2 : AHMDroppedFiles1.CollectBy:=dExtension;
 end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  AHMDroppedFiles1.Active:=CheckBox1.Checked;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  close;
end;

end.
